Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.ibm.workplace.wcm.api
Interface EditableSecurity

All Superinterfaces:
  Security

    public interface EditableSecurity

extends Security

An interface to define security accessors for the associated `Item`. Note that all methods query or update the repository directly. Any updates to security will be immediately applied. Any queries on security will return the latest information from the repository.

Since:
  7.0

Method Summary
`void` | `addMembers(Access level, java.lang.String[] members)` Adds each specified member to the list of members who have the specified `Access` to the associated `Item`.
`void` | `removeMembers(Access level, java.lang.String[] members)` Removes each specified member from the list of members who have the specified `Access` to the associated `Item`.
`void` | `setInheritance(Access level, boolean inherit)` Controls inheritance of access controls from the parent of the associated `Item`.

Methods inherited from interface com.ibm.workplace.wcm.api.Security
`getInheritedMembers, getMembers, hasAccess, hasAccess, isInherited`

Method Detail

### addMembers

    void addMembers(Access level,
                    java.lang.String[] members)

  Adds each specified member to the list of members who have the specified `Access` to the associated `Item`.

  A member is not added if the string can not can be converted to a valid member.

  Note: Duplicates are ignored.

  Parameters:
    `level` - the `Access` level
    `members` - the names of members to add

### removeMembers

    void removeMembers(Access level,
                       java.lang.String[] members)

  Removes each specified member from the list of members who have the specified `Access` to the associated `Item`.

  A member is only removed if the string can be converted to a valid member.

  Parameters:
    `level` - the `Access` level
    `members` - the names of members to remove

### setInheritance

    void setInheritance(Access level,
                        boolean inherit)

  Controls inheritance of access controls from the parent of the associated `Item`.

  Parameters:
    `level` - the `Access` level
    `inherit` - `true` will allow inheritance from the parent, `false` will block inheritance from the parent.

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD